Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82178 - OSError: Too many files open
Summary: OSError: Too many files open
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: control-panel
Version: 8.0
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL: /usr/sbin/../share/redhat-config-netw...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-19 02:18 UTC by Dennis Myhand
Modified: 2007-04-18 16:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-09 09:23:41 UTC


Attachments (Terms of Use)

Description Dennis Myhand 2003-01-19 02:18:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
I have been getting the following message, telling me to file a bug report here.


Message is as follows:

Traceback (most recent call last):
  File "/usr/sbin/neat", line 774, in update_devicelist
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Control.py", line
63, in __init__
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Control.py", line
66, in load
OSError: Too many open files

The error message comes up and when I choose to close the message my network and
dialup connection crash

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 tom clarke 2003-07-09 01:26:57 UTC
I have a RH8 'everything' install up2date as of 7/2003 on two platforms, a
fairly new P4 hardware, and an old P2. I can duplicate this problem on both systems.

I was reviewing my network settings using the network configuration dialog under
Gnome: <system tools><network device control><configure><help>
When the help dialog popped up I choose the first link "Establishing an Ethernet
Connection", which never comes up. (These help docs are on the CD but may not
have been installed on the system. I didn't remove them). Eventually I get an
exception with the "Too many files open" msg above, and have to close the doc
window. A process called gnome2-info2html is started which hogs all of the cpu
and prevents saving of the crash report. The traceback report is as shown above.

Comment 2 Ngo Than 2003-07-09 09:23:41 UTC
it's a bug in rhpl, which was fixed in RHL 9. The errata is still in the QA
queue. I hope it will be pushed out soon.


Note You need to log in before you can comment on or make changes to this bug.